// $Id: EmptyDiskPatch.hh,v 1.1 2005/01/28 22:42:56 m9710797 Exp $

#ifndef EMPTYDISKPATCH_HH
#define EMPTYDISKPATCH_HH

#include "PatchInterface.hh"

namespace openmsx {

class SectorBasedDisk;

class EmptyDiskPatch : public PatchInterface
{
public:
	EmptyDiskPatch(SectorBasedDisk& disk);

	virtual void copyBlock(unsigned src, byte* dst, unsigned num) const;
	virtual unsigned getSize() const;

private:
	SectorBasedDisk& disk;
};

} // namespace openmsx

#endif
